body{
  box-sizing: border-box;
  padding: 10px 20px 30px;
  background: #eee;
  font-family: sans-serif;
}

.wrap{
  margin: 10px 20px;
  background: #fff;
  padding: 10px 20px 30px;
}
.buttonAnimated{
    width: 100px;
    height: 30px;
    background: white;
    transition: 1s;
    outline: none;
}
.buttonAnimated.animation{
  width: 350px;
  height: 50px;
  background: red;
}
.eventButton{

}
.eventButton.unactive{
  background: #eee;
  color: #a8a8a8;
}

#error{
  color: red;
}

#bubbleParent{
  margin-top: 20px;
  padding: 20px 30px;
  border: 1px solid blue;
}
#bubbleParent:hover{
  background: blue;
}
#bubbleChild{
  padding: 20px 30px;
  border: 1px solid red;
}
#bubbleChild:hover{
  background: red;
}

.loadedImage{
  transform: rotate(390deg);
  transition: 0.5s;
}

.loadedSlide {
  right: -500px;
  position: relative;
  transition: right 0.5s ;
  transition-delay: 10ms;
  
  -webkit-transition: right 0.5s;
  -moz-transition: right 0.5s;
  -o-transition: right 0.5s;
  transition: right 0.5s;
}
.loadedSlideShowRight {
  right: 0px;
  /* position: relative;
  transition: right 2.5s ;
  transition-delay: 10ms; */
}
.loadedSlideLeft {
  left: -500px;
  position: relative;
  transition: left 0.5s ;
  transition-delay: 5ms;
}

.loadedSlideShowLeft {
  left: 0px;
}

.slider {
  overflow: hidden;
  width: 512px;
}




/*
essential styles:
these make the slideshow work
*/
/* #slides{
	position: relative;
	height: 150px;
	padding: 0px;
	margin: 0px;
	list-style-type: none;
} */

.slide {
	opacity: 0;
	z-index: 1;

	-webkit-transition: opacity 0.5s;
	-moz-transition: opacity 0.5s;
	-o-transition: opacity 0.5s;
	transition: opacity 0.5s;
}

.slide-transform {
	opacity: 0;
	z-index: 1;

	-webkit-transition: transform 0.5s;
	-moz-transition: transform 0.5s;
	-o-transition: transform 0.5s;
	transition: transform 0.5s;
}

.showing {
	opacity: 1;
  z-index: 2;
}

.showing-transform {
	opacity: 1;
  z-index: 2;
  -webkit-transform: rotate(360deg);
  transform: rotate(360deg);
}